#
# spec file for package python-main-wrapper
#
# Copyright (c) 2022 SUSE LLC
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


%{?!python_module:%define python_module() python-%{**} python3-%{**}}
%define skip_python2 1
Name:           python-main-wrapper
Version:        0.1.1
Release:        1.9
Summary:        Preconfigure Python global environment to run scripts within
License:        MIT
URL:            https://github.com/rpatterson/python-main-wrapper
Source:         https://files.pythonhosted.org/packages/source/m/main-wrapper/main-wrapper-%{version}.tar.gz
BuildRequires:  %{python_module base >= 3.6.6}
BuildRequires:  %{python_module pytest}
BuildRequires:  %{python_module setuptools_scm}
BuildRequires:  %{python_module setuptools}
BuildRequires:  fdupes
BuildRequires:  python-rpm-macros
Requires:       python-base >= 3.6.6
Requires:       python-six
Requires(post): update-alternatives
Requires(postun):update-alternatives
BuildArch:      noarch
# SECTION test requirements
BuildRequires:  %{python_module six}
# /SECTION
%python_subpackages

%description
Set up Python global environment using a wrapper script, and
then run another script within that environment, ala pdb, profile, etc.

%prep
%setup -q -n main-wrapper-%{version}

%build
%python_build

%install
%python_install
%python_expand %fdupes %{buildroot}%{$python_sitelib}
%python_clone -a %{buildroot}%{_bindir}/python-main-wrapper

%post
%python_install_alternative python-main-wrapper

%postun
%python_uninstall_alternative python-main-wrapper

%check
%pytest

%files %{python_files}
%doc README.rst
%license LICENSE
%python_alternative %{_bindir}/python-main-wrapper
%{python_sitelib}/*

%changelog
* Thu Sep 29 2022 Yogalakshmi Arunachalam <yarunachalam@suse.com>
- Update to version 0.1.1
  Merge branch 'integration/cli/ci/github-actions' into develop
* Wed Jul  8 2020 John Vandenberg <jayvdb@gmail.com>
- Initial spec for v0.1.0
